Skip to main content
`Ctrl`+`K`

# PetscFECreateByCell

Create a `PetscFE` for basic FEM computation

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFECreateByCell(MPI_Comm comm, PetscInt dim, PetscInt Nc, DMPolytopeType ct, const char prefix[], PetscInt qorder, PetscFE *fem)

Collective

## Input Parameters

- comm - The MPI comm

- dim - The spatial dimension

- Nc - The number of components

- ct - The celltype of the reference cell

- prefix - The options prefix, or `NULL`

- qorder - The quadrature order or `PETSC_DETERMINE` to use `PetscSpace` polynomial degree

## Output Parameter

- fem - The `PetscFE` object

## Note

Each subobject is SetFromOption() during creation, so that the object may be customized from the command line, using the prefix specified above. See the links below for the particular options available.

## See Also

`PetscFECreateDefault()`, `PetscFECreateLagrange()`, `PetscSpaceSetFromOptions()`, `PetscDualSpaceSetFromOptions()`, `PetscFESetFromOptions()`, `PetscFECreate()`, `PetscSpaceCreate()`, `PetscDualSpaceCreate()`

## Level

beginner

## Location

src/dm/dt/fe/interface/fe.c

## Examples

src/snes/tutorials/ex36.c
src/snes/tutorials/ex17.c
src/snes/tutorials/ex27.c
src/dm/impls/swarm/tutorials/ex1.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages